<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>mxCodecRegistry (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="mxCodecRegistry (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCodecRegistry.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">import hk.quantr.mxgraph.io</a></div>
<h2 title="Class mxCodecRegistry" class="title">Class mxCodecRegistry</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>import hk.quantr.mxgraph.io.mxCodecRegistry</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">mxCodecRegistry</span>
extends java.lang.Object</pre>
<div class="block">Singleton class that acts as a global registry for codecs. See
 <a href="mxCodec.html" title="class in import hk.quantr.mxgraph.io"><code>mxCodec</code></a> for an example.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Field</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static java.util.Hashtable&lt;java.lang.String,&#8203;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#aliases">aliases</a></span></code></th>
<td class="colLast">
<div class="block">Maps from classnames to codecnames.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static java.util.Hashtable&lt;java.lang.String,&#8203;<a href="mxObjectCodec.html" title="class in import hk.quantr.mxgraph.io">mxObjectCodec</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#codecs">codecs</a></span></code></th>
<td class="colLast">
<div class="block">Maps from constructor names to codecs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#packages">packages</a></span></code></th>
<td class="colLast">
<div class="block">Holds the list of known packages.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">mxCodecRegistry</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addAlias(java.lang.String,java.lang.String)">addAlias</a></span>&#8203;(java.lang.String&nbsp;classname,
        java.lang.String&nbsp;codecname)</code></th>
<td class="colLast">
<div class="block">Adds an alias for mapping a classname to a codecname.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#addPackage(java.lang.String)">addPackage</a></span>&#8203;(java.lang.String&nbsp;packagename)</code></th>
<td class="colLast">
<div class="block">Adds the given package name to the list of known package names.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static java.lang.Class&lt;?&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getClassForName(java.lang.String)">getClassForName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Returns a class that corresponds to the given name.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static <a href="mxObjectCodec.html" title="class in import hk.quantr.mxgraph.io">mxObjectCodec</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCodec(java.lang.String)">getCodec</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Returns a codec that handles the given object, which can be an object
 instance or an XML node.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static java.lang.Object</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getInstanceForName(java.lang.String)">getInstanceForName</a></span>&#8203;(java.lang.String&nbsp;name)</code></th>
<td class="colLast">
<div class="block">Creates and returns a new instance for the given class name.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getName(java.lang.Object)">getName</a></span>&#8203;(java.lang.Object&nbsp;instance)</code></th>
<td class="colLast">
<div class="block">Returns the name that identifies the codec associated
 with the given instance..</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static <a href="mxObjectCodec.html" title="class in import hk.quantr.mxgraph.io">mxObjectCodec</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#register(import hk.quantr.mxgraph.io.mxObjectCodec)">register</a></span>&#8203;(<a href="mxObjectCodec.html" title="class in import hk.quantr.mxgraph.io">mxObjectCodec</a>&nbsp;codec)</code></th>
<td class="colLast">
<div class="block">Registers a new codec and associates the name of the template constructor
 in the codec with the codec object.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a id="codecs">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>codecs</h4>
<pre>protected static&nbsp;java.util.Hashtable&lt;java.lang.String,&#8203;<a href="mxObjectCodec.html" title="class in import hk.quantr.mxgraph.io">mxObjectCodec</a>&gt; codecs</pre>
<div class="block">Maps from constructor names to codecs.</div>
</li>
</ul>
<a id="aliases">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aliases</h4>
<pre>protected static&nbsp;java.util.Hashtable&lt;java.lang.String,&#8203;java.lang.String&gt; aliases</pre>
<div class="block">Maps from classnames to codecnames.</div>
</li>
</ul>
<a id="packages">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>packages</h4>
<pre>protected static&nbsp;java.util.List&lt;java.lang.String&gt; packages</pre>
<div class="block">Holds the list of known packages. Packages are used to prefix short
 class names (eg. mxCell) in XML markup.</div>
</li>
</ul>
</li>
</ul>
</section>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>mxCodecRegistry</h4>
<pre>public&nbsp;mxCodecRegistry()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="register(import hk.quantr.mxgraph.io.mxObjectCodec)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>register</h4>
<pre class="methodSignature">public static&nbsp;<a href="mxObjectCodec.html" title="class in import hk.quantr.mxgraph.io">mxObjectCodec</a>&nbsp;register&#8203;(<a href="mxObjectCodec.html" title="class in import hk.quantr.mxgraph.io">mxObjectCodec</a>&nbsp;codec)</pre>
<div class="block">Registers a new codec and associates the name of the template constructor
 in the codec with the codec object. Automatically creates an alias if the
 codename and the classname are not equal.</div>
</li>
</ul>
<a id="addAlias(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addAlias</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;addAlias&#8203;(java.lang.String&nbsp;classname,
                            java.lang.String&nbsp;codecname)</pre>
<div class="block">Adds an alias for mapping a classname to a codecname.</div>
</li>
</ul>
<a id="getCodec(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCodec</h4>
<pre class="methodSignature">public static&nbsp;<a href="mxObjectCodec.html" title="class in import hk.quantr.mxgraph.io">mxObjectCodec</a>&nbsp;getCodec&#8203;(java.lang.String&nbsp;name)</pre>
<div class="block">Returns a codec that handles the given object, which can be an object
 instance or an XML node.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - Java class name.</dd>
</dl>
</li>
</ul>
<a id="addPackage(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addPackage</h4>
<pre class="methodSignature">public static&nbsp;void&nbsp;addPackage&#8203;(java.lang.String&nbsp;packagename)</pre>
<div class="block">Adds the given package name to the list of known package names.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>packagename</code> - Name of the package to be added.</dd>
</dl>
</li>
</ul>
<a id="getInstanceForName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInstanceForName</h4>
<pre class="methodSignature">public static&nbsp;java.lang.Object&nbsp;getInstanceForName&#8203;(java.lang.String&nbsp;name)</pre>
<div class="block">Creates and returns a new instance for the given class name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - Name of the class to be instantiated.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a new instance of the given class.</dd>
</dl>
</li>
</ul>
<a id="getClassForName(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getClassForName</h4>
<pre class="methodSignature">public static&nbsp;java.lang.Class&lt;?&gt;&nbsp;getClassForName&#8203;(java.lang.String&nbsp;name)</pre>
<div class="block">Returns a class that corresponds to the given name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>name</code> - </dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns the class for the given name.</dd>
</dl>
</li>
</ul>
<a id="getName(java.lang.Object)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getName</h4>
<pre class="methodSignature">public static&nbsp;java.lang.String&nbsp;getName&#8203;(java.lang.Object&nbsp;instance)</pre>
<div class="block">Returns the name that identifies the codec associated
 with the given instance..

 The I/O system uses unqualified classnames, eg. for a
 <code>import hk.quantr.mxgraph.model.mxCell</code> this returns
 <code>mxCell</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>instance</code> - Instance whose node name should be returned.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Returns a string that identifies the codec.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/mxCodecRegistry.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
